Bug 35504 - [Gtk] Evaluate and fix AtkTable for layout tables
Summary: [Gtk] Evaluate and fix AtkTable for layout tables
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords: Gtk
Depends on: 30895
Blocks: 25531
  Show dependency treegraph
 
Reported: 2010-02-28 15:25 PST by Joanmarie Diggs (irc: joanie)
Modified: 2010-03-16 11:19 PDT (History)
4 users (show)

See Also:


Attachments
Expose layout tables as AccessibilityTables in Gtk (7.54 KB, patch)
2010-03-06 16:40 PST, Joanmarie Diggs (irc: joanie)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joanmarie Diggs (irc: joanie) 2010-02-28 15:25:02 PST
We're now exposing all tables (data and layout) as tables. Before we were only doing so for data tables. The implementation of AtkTable continues to work well for data tables, but not layout tables. At the very least, the number of rows and columns being reported for layout tables is 0. We need to go through our AtkTable implementation for layout tables and get everything working as expected.
Comment 1 Joanmarie Diggs (irc: joanie) 2010-03-01 11:04:33 PST
The problem seems to be that all of the nifty accessible table information we get comes from AccessibilityTable. Layout tables are typically rejected as being AccessibilityTables. From what I'm seeing in my sandbox, causing all tables (for Gtk) to be seen as AccessibilityTables solves the reported problem.

That means we just need a bunch of tests. :-) I'll take this one.

(Marking as depends on bug 30895 because until the hierarchy's unborked, we don't want layout tables treated as AccessibilityTables.)
Comment 2 Joanmarie Diggs (irc: joanie) 2010-03-06 16:40:34 PST
Created attachment 50158 [details]
Expose layout tables as AccessibilityTables in Gtk

* Exposes layout tables as AccessibilityTables
* Implements rowCount and columnCount for DRT in Gtk
* Includes rowCount and columnCount to the table hierarchy layout test

Note: This patch assumes the second patch for bug 30895. Therefore, not yet marking this for review. But once that patch is committed, this one should be good to go.

Layout tests for table headers will be done as part of bug 30896; layout tests for aspects of the AtkTable implementation will be added as subsequent patches to this bug.
Comment 3 Joanmarie Diggs (irc: joanie) 2010-03-08 13:10:14 PST
Comment on attachment 50158 [details]
Expose layout tables as AccessibilityTables in Gtk

Now that the table hierarchy has been unborked.... Setting review? flag.
Comment 4 Xan Lopez 2010-03-16 04:25:46 PDT
Comment on attachment 50158 [details]
Expose layout tables as AccessibilityTables in Gtk

Looks good.
Comment 5 WebKit Commit Bot 2010-03-16 11:18:59 PDT
Comment on attachment 50158 [details]
Expose layout tables as AccessibilityTables in Gtk

Clearing flags on attachment: 50158

Committed r56073: <http://trac.webkit.org/changeset/56073>
Comment 6 WebKit Commit Bot 2010-03-16 11:19:03 PDT
All reviewed patches have been landed.  Closing bug.